%global toolchain clang

Name:           lime3ds
Version:        2116
Release:        4%{?dist}
Summary:        A Nintendo 3DS emulator based on Citra

License:        GPLv2
URL:            https://github.com/Lime3DS/Lime3DS
Source0:        https://github.com/Lime3DS/Lime3DS/releases/download/%{version}/lime3ds-unified-source-%{version}.tar.xz

BuildRequires:  cmake
BuildRequires:  clang
BuildRequires:  SDL2-devel
BuildRequires:  qt6-qtbase-devel
BuildRequires:  qt6-qtbase-private-devel
BuildRequires:  qt6-qtmultimedia-devel
BuildRequires:  portaudio-devel
BuildRequires:  xorg-x11-server-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  jack-audio-connection-kit-devel
BuildRequires:  pipewire-devel
BuildRequires:  ninja-build

%description
Lime3DS is an experimental open-source Nintendo 3DS emulator/debugger.

%prep
%setup -q -n %{name}-unified-source-%{version}

%build
%cmake -G Ninja \
    -DCMAKE_BUILD_TYPE=Release \
    -DBUILD_SHARED_LIBS:BOOL=OFF
%cmake_build

%install
%cmake_install --prefix %{buildroot}

%files
%exclude %{buildroot}/include/enet
%{buildroot}/lib64/libenet.a
%{_bindir}/lime3ds-cli
%{_bindir}/lime3ds-gui
%{_bindir}/lime3ds-room
%{_datadir}/icons/hicolor/scalable/apps/lime.svg
%{_datadir}/applications/lime3ds-gui.desktop
%{_datadir}/mime/packages/lime.xml
%license license.txt

%changelog
%autochangelog
